[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'gettext' (#fcl)

# TMOFile.Create

Create a new instance of the TMOFile class.

## Declaration

Source position: line 0

`public constructor TMOFile.Create(`
`const AFilename: string`
`); constructor TMOFile.Create(`
`AStream: TStream`
`);`

## Arguments

`AFilename` |  | File to open.

## Arguments

`AStream` |  | Contents of a .mo file.

## Description

Create creates a new instance of the MOFile class. It opens the file AFileName or the stream AStream. If a stream is provided, it should be seekable.

The whole contents of the file is read into memory during the Create call. This means that the stream is no longer needed after the Create call.

## Errors

If the named file does not exist, then an exception may be raised. If the file does not contain a valid TMOFileHeader structure, then an EMOFileError exception is raised.

## See also

TMOFile.Destroy |  | Removes the TMOFile instance from memory

Documentation generated on: Feb 26 2014